BaseNCodecOutputStream.AbstractBuilder (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: BaseNCodecOutputStream, class: AbstractBuilder

Package org.apache.commons.codec.binary

# Class BaseNCodecOutputStream.AbstractBuilder<T,C extends BaseNCodec,B extends BaseNCodecOutputStream.AbstractBuilder<T,C,B>>

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<T,C,B>
org.apache.commons.codec.binary.BaseNCodecOutputStream.AbstractBuilder<T,C,B>

Type Parameters:
  `T` - The output stream type to build.
  `C` - A `BaseNCodec` subclass.
  `B` - The builder subclass.

All Implemented Interfaces:
  `Supplier<T>`

Direct Known Subclasses:
  `Base16OutputStream.Builder`, `Base32OutputStream.Builder`, `Base58OutputStream.Builder`, `Base64OutputStream.Builder`

Enclosing class:
  `BaseNCodecOutputStream<C extends BaseNCodec,T extends BaseNCodecOutputStream<C,T,B>,B extends BaseNCodecOutputStream.AbstractBuilder<T,C,B>>`

public abstract static class BaseNCodecOutputStream.AbstractBuilder<T,C extends BaseNCodec,B extends BaseNCodecOutputStream.AbstractBuilder<T,C,B>> extends AbstractBaseNCodecStreamBuilder<T,C,B>
Builds output stream instances in `BaseNCodec` format.

Since:
  1.20.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBuilder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected OutputStream`
  `getOutputStream()`
  Gets the input stream.
  `B`
  `setOutputStream(OutputStream outputStream)`
  Sets the input stream.

  ### Methods inherited from class org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, newBaseNCodec, setBaseNCodec, setEncode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Supplier

  `get`

- ## Constructor Details

  - ### AbstractBuilder

    public AbstractBuilder()
    Constructs a new instance.

- ## Method Details

  - ### getOutputStream

    protected OutputStream getOutputStream()
    Gets the input stream.
    Returns:
      The input stream.

  - ### setOutputStream

    public B setOutputStream(OutputStream outputStream)
    Sets the input stream.
    Parameters:
      `outputStream` - The input stream.
    Returns:
      `this` instance.